edu.isi.pegasus.planner.code

## Interface POSTScript

All Known Implementing Classes:
  NetloggerPostScript, NoPOSTScript, PegasusExitCode, UserPOSTScript

    public interface POSTScript

The interface that defines the creation of a POSTSCRIPT for a job. The POSTSCRIPT created is dependant on the GridStart being used to enable the job.

Version:
  $Revision$
Author:
  Karan Vahi vahi@isi.edu

### Field Summary

Fields
`static java.lang.String` `VERSION` The version number associated with this API of GridStart.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `construct(Job job, java.lang.String key)` Constructs the postscript that has to be invoked on the submit host after the job has executed on the remote end.
`void` `initialize(PegasusProperties properties, java.lang.String path, java.lang.String submitDir)` Initialize the POSTScript implementation.
`java.lang.String` `shortDescribe()` Returns a short textual description of the implementing class.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version number associated with this API of GridStart.

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize(PegasusProperties properties,
                    java.lang.String path,
                    java.lang.String submitDir)

Initialize the POSTScript implementation.

Parameters:
  `properties` - the `PegasusProperties` object containing all the properties required by Pegasus.
  `path` - the path to the POSTScript on the submit host.
  `submitDir` - the submit directory where the submit file for the job has to be generated.

#### construct

    boolean construct(Job job,
                      java.lang.String key)

Constructs the postscript that has to be invoked on the submit host after the job has executed on the remote end. The postscript usually works on the output generated by the executable that is used to grid enable a job, and has been piped back by Condor.

The postscript should be constructed and populated as a profile in the DAGMAN namespace.

Parameters:
  `job` - the `Job` object containing the job description of the job that has to be enabled on the grid.
  `key` - the `DAGMan` profile key that has to be inserted.
Returns:
  boolean true if postscript was generated,else false.

#### shortDescribe

    java.lang.String shortDescribe()

Returns a short textual description of the implementing class.

Returns:
  short textual description.